diff --git a/gcc/gimple.h b/gcc/gimple.h
index 1635ab5..173f1b4 100644
--- a/gcc/gimple.h
+++ b/gcc/gimple.h
@@ -4914,7 +4914,7 @@ gimple_omp_single_set_clauses (gimple gs, tree clauses)
 /* Return the clauses associated with OMP_TARGET GS.  */
 
 static inline tree
-gimple_omp_target_clauses (const_gimple gs)
+gimple_omp_target_clauses (const gimple *gs)
 {
   const gomp_target *omp_target_stmt = as_a <const gomp_target *> (gs);
   return omp_target_stmt->clauses;
@@ -4924,7 +4924,7 @@ gimple_omp_target_clauses (const_gimple gs)
 /* Return a pointer to the clauses associated with OMP_TARGET GS.  */
 
 static inline tree *
-gimple_omp_target_clauses_ptr (gimple gs)
+gimple_omp_target_clauses_ptr (gimple *gs)
 {
   gomp_target *omp_target_stmt = as_a <gomp_target *> (gs);
   return &omp_target_stmt->clauses;
@@ -4934,7 +4934,7 @@ gimple_omp_target_clauses_ptr (gimple gs)
 /* Set CLAUSES to be the clauses associated with OMP_TARGET GS.  */
 
 static inline void
-gimple_omp_target_set_clauses (gimple gs, tree clauses)
+gimple_omp_target_set_clauses (gimple *gs, tree clauses)
 {
   gomp_target *omp_target_stmt = as_a <gomp_target *> (gs);
   omp_target_stmt->clauses = clauses;
@@ -4944,7 +4944,7 @@ gimple_omp_target_set_clauses (gimple gs, tree clauses)
 /* Return the kind of OMP target statemement.  */
 
 static inline int
-gimple_omp_target_kind (const_gimple g)
+gimple_omp_target_kind (const gimple *g)
 {
   GIMPLE_CHECK (g, GIMPLE_OMP_TARGET);
   return (gimple_omp_subcode (g) & GF_OMP_TARGET_KIND_MASK);
@@ -4954,7 +4954,7 @@ gimple_omp_target_kind (const_gimple g)
 /* Set the OMP target kind.  */
 
 static inline void
-gimple_omp_target_set_kind (gimple g, int kind)
+gimple_omp_target_set_kind (gimple *g, int kind)
 {
   GIMPLE_CHECK (g, GIMPLE_OMP_TARGET);
   g->subcode = (g->subcode & ~GF_OMP_TARGET_KIND_MASK)
@@ -4965,7 +4965,7 @@ gimple_omp_target_set_kind (gimple g, int kind)
 /* Return the child function used to hold the body of OMP_TARGET GS.  */
 
 static inline tree
-gimple_omp_target_child_fn (const_gimple gs)
+gimple_omp_target_child_fn (const gimple *gs)
 {
   const gomp_target *omp_target_stmt = as_a <const gomp_target *> (gs);
   return omp_target_stmt->child_fn;
@@ -4975,7 +4975,7 @@ gimple_omp_target_child_fn (const_gimple gs)
    OMP_TARGET GS.  */
 
 static inline tree *
-gimple_omp_target_child_fn_ptr (gimple gs)
+gimple_omp_target_child_fn_ptr (gimple *gs)
 {
   gomp_target *omp_target_stmt = as_a <gomp_target *> (gs);
   return &omp_target_stmt->child_fn;
@@ -4985,7 +4985,7 @@ gimple_omp_target_child_fn_ptr (gimple gs)
 /* Set CHILD_FN to be the child function for OMP_TARGET GS.  */
 
 static inline void
-gimple_omp_target_set_child_fn (gimple gs, tree child_fn)
+gimple_omp_target_set_child_fn (gimple *gs, tree child_fn)
 {
   gomp_target *omp_target_stmt = as_a <gomp_target *> (gs);
   omp_target_stmt->child_fn = child_fn;
@@ -4996,7 +4996,7 @@ gimple_omp_target_set_child_fn (gimple gs, tree child_fn)
    from the parent to the children threads in OMP_TARGET GS.  */
 
 static inline tree
-gimple_omp_target_data_arg (const_gimple gs)
+gimple_omp_target_data_arg (const gimple *gs)
 {
   const gomp_target *omp_target_stmt = as_a <const gomp_target *> (gs);
   return omp_target_stmt->data_arg;
@@ -5006,7 +5006,7 @@ gimple_omp_target_data_arg (const_gimple gs)
 /* Return a pointer to the data argument for OMP_TARGET GS.  */
 
 static inline tree *
-gimple_omp_target_data_arg_ptr (gimple gs)
+gimple_omp_target_data_arg_ptr (gimple *gs)
 {
   gomp_target *omp_target_stmt = as_a <gomp_target *> (gs);
   return &omp_target_stmt->data_arg;
@@ -5016,7 +5016,7 @@ gimple_omp_target_data_arg_ptr (gimple gs)
 /* Set DATA_ARG to be the data argument for OMP_TARGET GS.  */
 
 static inline void
-gimple_omp_target_set_data_arg (gimple gs, tree data_arg)
+gimple_omp_target_set_data_arg (gimple *gs, tree data_arg)
 {
   gomp_target *omp_target_stmt = as_a <gomp_target *> (gs);
   omp_target_stmt->data_arg = data_arg;
@@ -5026,7 +5026,7 @@ gimple_omp_target_set_data_arg (gimple gs, tree data_arg)
 /* Return the clauses associated with OMP_TEAMS GS.  */
 
 static inline tree
-gimple_omp_teams_clauses (const_gimple gs)
+gimple_omp_teams_clauses (const gimple *gs)
 {
   const gomp_teams *omp_teams_stmt = as_a <const gomp_teams *> (gs);
   return omp_teams_stmt->clauses;
@@ -5036,7 +5036,7 @@ gimple_omp_teams_clauses (const_gimple gs)
 /* Return a pointer to the clauses associated with OMP_TEAMS GS.  */
 
 static inline tree *
-gimple_omp_teams_clauses_ptr (gimple gs)
+gimple_omp_teams_clauses_ptr (gimple *gs)
 {
   gomp_teams *omp_teams_stmt = as_a <gomp_teams *> (gs);
   return &omp_teams_stmt->clauses;
@@ -5046,7 +5046,7 @@ gimple_omp_teams_clauses_ptr (gimple gs)
 /* Set CLAUSES to be the clauses associated with OMP_TEAMS GS.  */
 
 static inline void
-gimple_omp_teams_set_clauses (gimple gs, tree clauses)
+gimple_omp_teams_set_clauses (gimple *gs, tree clauses)
 {
   gomp_teams *omp_teams_stmt = as_a <gomp_teams *> (gs);
   omp_teams_stmt->clauses = clauses;
@@ -5056,7 +5056,7 @@ gimple_omp_teams_set_clauses (gimple gs, tree clauses)
 /* Return the clauses associated with OMP_SECTIONS GS.  */
 
 static inline tree
-gimple_omp_sections_clauses (const_gimple gs)
+gimple_omp_sections_clauses (const gimple *gs)
 {
   const gomp_sections *omp_sections_stmt =
     as_a <const gomp_sections *> (gs);
@@ -5067,7 +5067,7 @@ gimple_omp_sections_clauses (const_gimple gs)
 /* Return a pointer to the clauses associated with OMP_SECTIONS GS.  */
 
 static inline tree *
-gimple_omp_sections_clauses_ptr (gimple gs)
+gimple_omp_sections_clauses_ptr (gimple *gs)
 {
   gomp_sections *omp_sections_stmt = as_a <gomp_sections *> (gs);
   return &omp_sections_stmt->clauses;
@@ -5078,7 +5078,7 @@ gimple_omp_sections_clauses_ptr (gimple gs)
    GS.  */
 
 static inline void
-gimple_omp_sections_set_clauses (gimple gs, tree clauses)
+gimple_omp_sections_set_clauses (gimple *gs, tree clauses)
 {
   gomp_sections *omp_sections_stmt = as_a <gomp_sections *> (gs);
   omp_sections_stmt->clauses = clauses;
@@ -5089,7 +5089,7 @@ gimple_omp_sections_set_clauses (gimple gs, tree clauses)
    in GS.  */
 
 static inline tree
-gimple_omp_sections_control (const_gimple gs)
+gimple_omp_sections_control (const gimple *gs)
 {
   const gomp_sections *omp_sections_stmt =
     as_a <const gomp_sections *> (gs);
@@ -5101,7 +5101,7 @@ gimple_omp_sections_control (const_gimple gs)
    GS.  */
 
 static inline tree *
-gimple_omp_sections_control_ptr (gimple gs)
+gimple_omp_sections_control_ptr (gimple *gs)
 {
   gomp_sections *omp_sections_stmt = as_a <gomp_sections *> (gs);
   return &omp_sections_stmt->control;
@@ -5112,7 +5112,7 @@ gimple_omp_sections_control_ptr (gimple gs)
    GIMPLE_OMP_SECTIONS in GS.  */
 
 static inline void
-gimple_omp_sections_set_control (gimple gs, tree control)
+gimple_omp_sections_set_control (gimple *gs, tree control)
 {
   gomp_sections *omp_sections_stmt = as_a <gomp_sections *> (gs);
   omp_sections_stmt->control = control;
@@ -5122,7 +5122,7 @@ gimple_omp_sections_set_control (gimple gs, tree control)
 /* Set COND to be the condition code for OMP_FOR GS.  */
 
 static inline void
-gimple_omp_for_set_cond (gimple gs, size_t i, enum tree_code cond)
+gimple_omp_for_set_cond (gimple *gs, size_t i, enum tree_code cond)
 {
   gomp_for *omp_for_stmt = as_a <gomp_for *> (gs);
   gcc_gimple_checking_assert (TREE_CODE_CLASS (cond) == tcc_comparison
@@ -5134,7 +5134,7 @@ gimple_omp_for_set_cond (gimple gs, size_t i, enum tree_code cond)
 /* Return the condition code associated with OMP_FOR GS.  */
 
 static inline enum tree_code
-gimple_omp_for_cond (const_gimple gs, size_t i)
+gimple_omp_for_cond (const gimple *gs, size_t i)
 {
   const gomp_for *omp_for_stmt = as_a <const gomp_for *> (gs);
   gcc_gimple_checking_assert (i < omp_for_stmt->collapse);
@@ -5145,7 +5145,7 @@ gimple_omp_for_cond (const_gimple gs, size_t i)
 /* Set the value being stored in an atomic store.  */
 
 static inline void
-gimple_omp_atomic_store_set_val (gimple g, tree val)
+gimple_omp_atomic_store_set_val (gimple *g, tree val)
 {
   gomp_atomic_store *omp_atomic_store_stmt = as_a <gomp_atomic_store *> (g);
   omp_atomic_store_stmt->val = val;
@@ -5155,7 +5155,7 @@ gimple_omp_atomic_store_set_val (gimple g, tree val)
 /* Return the value being stored in an atomic store.  */
 
 static inline tree
-gimple_omp_atomic_store_val (const_gimple g)
+gimple_omp_atomic_store_val (const gimple *g)
 {
   const gomp_atomic_store *omp_atomic_store_stmt =
     as_a <const gomp_atomic_store *> (g);
@@ -5166,7 +5166,7 @@ gimple_omp_atomic_store_val (const_gimple g)
 /* Return a pointer to the value being stored in an atomic store.  */
 
 static inline tree *
-gimple_omp_atomic_store_val_ptr (gimple g)
+gimple_omp_atomic_store_val_ptr (gimple *g)
 {
   gomp_atomic_store *omp_atomic_store_stmt = as_a <gomp_atomic_store *> (g);
   return &omp_atomic_store_stmt->val;
@@ -5176,7 +5176,7 @@ gimple_omp_atomic_store_val_ptr (gimple g)
 /* Set the LHS of an atomic load.  */
 
 static inline void
-gimple_omp_atomic_load_set_lhs (gimple g, tree lhs)
+gimple_omp_atomic_load_set_lhs (gimple *g, tree lhs)
 {
   gomp_atomic_load *omp_atomic_load_stmt = as_a <gomp_atomic_load *> (g);
   omp_atomic_load_stmt->lhs = lhs;
@@ -5186,7 +5186,7 @@ gimple_omp_atomic_load_set_lhs (gimple g, tree lhs)
 /* Get the LHS of an atomic load.  */
 
 static inline tree
-gimple_omp_atomic_load_lhs (const_gimple g)
+gimple_omp_atomic_load_lhs (const gimple *g)
 {
   const gomp_atomic_load *omp_atomic_load_stmt =
     as_a <const gomp_atomic_load *> (g);
@@ -5197,7 +5197,7 @@ gimple_omp_atomic_load_lhs (const_gimple g)
 /* Return a pointer to the LHS of an atomic load.  */
 
 static inline tree *
-gimple_omp_atomic_load_lhs_ptr (gimple g)
+gimple_omp_atomic_load_lhs_ptr (gimple *g)
 {
   gomp_atomic_load *omp_atomic_load_stmt = as_a <gomp_atomic_load *> (g);
   return &omp_atomic_load_stmt->lhs;
@@ -5207,7 +5207,7 @@ gimple_omp_atomic_load_lhs_ptr (gimple g)
 /* Set the RHS of an atomic load.  */
 
 static inline void
-gimple_omp_atomic_load_set_rhs (gimple g, tree rhs)
+gimple_omp_atomic_load_set_rhs (gimple *g, tree rhs)
 {
   gomp_atomic_load *omp_atomic_load_stmt = as_a <gomp_atomic_load *> (g);
   omp_atomic_load_stmt->rhs = rhs;
@@ -5217,7 +5217,7 @@ gimple_omp_atomic_load_set_rhs (gimple g, tree rhs)
 /* Get the RHS of an atomic load.  */
 
 static inline tree
-gimple_omp_atomic_load_rhs (const_gimple g)
+gimple_omp_atomic_load_rhs (const gimple *g)
 {
   const gomp_atomic_load *omp_atomic_load_stmt = as_a <const gomp_atomic_load *> (g);
   return omp_atomic_load_stmt->rhs;
@@ -5227,7 +5227,7 @@ gimple_omp_atomic_load_rhs (const_gimple g)
 /* Return a pointer to the RHS of an atomic load.  */
 
 static inline tree *
-gimple_omp_atomic_load_rhs_ptr (gimple g)
+gimple_omp_atomic_load_rhs_ptr (gimple *g)
 {
   gomp_atomic_load *omp_atomic_load_stmt = as_a <gomp_atomic_load *> (g);
   return &omp_atomic_load_stmt->rhs;
@@ -5237,7 +5237,7 @@ gimple_omp_atomic_load_rhs_ptr (gimple g)
 /* Get the definition of the control variable in a GIMPLE_OMP_CONTINUE.  */
 
 static inline tree
-gimple_omp_continue_control_def (const_gimple g)
+gimple_omp_continue_control_def (const gimple *g)
 {
   const gomp_continue *omp_continue_stmt = as_a <const gomp_continue *> (g);
   return omp_continue_stmt->control_def;
@@ -5246,7 +5246,7 @@ gimple_omp_continue_control_def (const_gimple g)
 /* The same as above, but return the address.  */
 
 static inline tree *
-gimple_omp_continue_control_def_ptr (gimple g)
+gimple_omp_continue_control_def_ptr (gimple *g)
 {
   gomp_continue *omp_continue_stmt = as_a <gomp_continue *> (g);
   return &omp_continue_stmt->control_def;
@@ -5255,7 +5255,7 @@ gimple_omp_continue_control_def_ptr (gimple g)
 /* Set the definition of the control variable in a GIMPLE_OMP_CONTINUE.  */
 
 static inline void
-gimple_omp_continue_set_control_def (gimple g, tree def)
+gimple_omp_continue_set_control_def (gimple *g, tree def)
 {
   gomp_continue *omp_continue_stmt = as_a <gomp_continue *> (g);
   omp_continue_stmt->control_def = def;
@@ -5265,7 +5265,7 @@ gimple_omp_continue_set_control_def (gimple g, tree def)
 /* Get the use of the control variable in a GIMPLE_OMP_CONTINUE.  */
 
 static inline tree
-gimple_omp_continue_control_use (const_gimple g)
+gimple_omp_continue_control_use (const gimple *g)
 {
   const gomp_continue *omp_continue_stmt = as_a <const gomp_continue *> (g);
   return omp_continue_stmt->control_use;
@@ -5275,7 +5275,7 @@ gimple_omp_continue_control_use (const_gimple g)
 /* The same as above, but return the address.  */
 
 static inline tree *
-gimple_omp_continue_control_use_ptr (gimple g)
+gimple_omp_continue_control_use_ptr (gimple *g)
 {
   gomp_continue *omp_continue_stmt = as_a <gomp_continue *> (g);
   return &omp_continue_stmt->control_use;
@@ -5285,7 +5285,7 @@ gimple_omp_continue_control_use_ptr (gimple g)
 /* Set the use of the control variable in a GIMPLE_OMP_CONTINUE.  */
 
 static inline void
-gimple_omp_continue_set_control_use (gimple g, tree use)
+gimple_omp_continue_set_control_use (gimple *g, tree use)
 {
   gomp_continue *omp_continue_stmt = as_a <gomp_continue *> (g);
   omp_continue_stmt->control_use = use;
@@ -5294,7 +5294,7 @@ gimple_omp_continue_set_control_use (gimple g, tree use)
 /* Return a pointer to the body for the GIMPLE_TRANSACTION statement GS.  */
 
 static inline gimple_seq *
-gimple_transaction_body_ptr (gimple gs)
+gimple_transaction_body_ptr (gimple *gs)
 {
   gtransaction *transaction_stmt = as_a <gtransaction *> (gs);
   return &transaction_stmt->body;
@@ -5303,7 +5303,7 @@ gimple_transaction_body_ptr (gimple gs)
 /* Return the body for the GIMPLE_TRANSACTION statement GS.  */
 
 static inline gimple_seq
-gimple_transaction_body (gimple gs)
+gimple_transaction_body (gimple *gs)
 {
   return *gimple_transaction_body_ptr (gs);
 }
@@ -5311,14 +5311,14 @@ gimple_transaction_body (gimple gs)
 /* Return the label associated with a GIMPLE_TRANSACTION.  */
 
 static inline tree
-gimple_transaction_label (const_gimple gs)
+gimple_transaction_label (const gimple *gs)
 {
   const gtransaction *transaction_stmt = as_a <const gtransaction *> (gs);
   return transaction_stmt->label;
 }
 
 static inline tree *
-gimple_transaction_label_ptr (gimple gs)
+gimple_transaction_label_ptr (gimple *gs)
 {
   gtransaction *transaction_stmt = as_a <gtransaction *> (gs);
   return &transaction_stmt->label;
@@ -5327,7 +5327,7 @@ gimple_transaction_label_ptr (gimple gs)
 /* Return the subcode associated with a GIMPLE_TRANSACTION.  */
 
 static inline unsigned int
-gimple_transaction_subcode (const_gimple gs)
+gimple_transaction_subcode (const gimple *gs)
 {
   GIMPLE_CHECK (gs, GIMPLE_TRANSACTION);
   return gs->subcode;
@@ -5336,7 +5336,7 @@ gimple_transaction_subcode (const_gimple gs)
 /* Set BODY to be the body for the GIMPLE_TRANSACTION statement GS.  */
 
 static inline void
-gimple_transaction_set_body (gimple gs, gimple_seq body)
+gimple_transaction_set_body (gimple *gs, gimple_seq body)
 {
   gtransaction *transaction_stmt = as_a <gtransaction *> (gs);
   transaction_stmt->body = body;
@@ -5345,7 +5345,7 @@ gimple_transaction_set_body (gimple gs, gimple_seq body)
 /* Set the label associated with a GIMPLE_TRANSACTION.  */
 
 static inline void
-gimple_transaction_set_label (gimple gs, tree label)
+gimple_transaction_set_label (gimple *gs, tree label)
 {
   gtransaction *transaction_stmt = as_a <gtransaction *> (gs);
   transaction_stmt->label = label;
@@ -5354,7 +5354,7 @@ gimple_transaction_set_label (gimple gs, tree label)
 /* Set the subcode associated with a GIMPLE_TRANSACTION.  */
 
 static inline void
-gimple_transaction_set_subcode (gimple gs, unsigned int subcode)
+gimple_transaction_set_subcode (gimple *gs, unsigned int subcode)
 {
   GIMPLE_CHECK (gs, GIMPLE_TRANSACTION);
   gs->subcode = subcode;
@@ -5364,7 +5364,7 @@ gimple_transaction_set_subcode (gimple gs, unsigned int subcode)
 /* Return a pointer to the return value for GIMPLE_RETURN GS.  */
 
 static inline tree *
-gimple_return_retval_ptr (const_gimple gs)
+gimple_return_retval_ptr (const gimple *gs)
 {
   GIMPLE_CHECK (gs, GIMPLE_RETURN);
   return gimple_op_ptr (gs, 0);
@@ -5373,7 +5373,7 @@ gimple_return_retval_ptr (const_gimple gs)
 /* Return the return value for GIMPLE_RETURN GS.  */
 
 static inline tree
-gimple_return_retval (const_gimple gs)
+gimple_return_retval (const gimple *gs)
 {
   GIMPLE_CHECK (gs, GIMPLE_RETURN);
   return gimple_op (gs, 0);
@@ -5383,7 +5383,7 @@ gimple_return_retval (const_gimple gs)
 /* Set RETVAL to be the return value for GIMPLE_RETURN GS.  */
 
 static inline void
-gimple_return_set_retval (gimple gs, tree retval)
+gimple_return_set_retval (gimple *gs, tree retval)
 {
   GIMPLE_CHECK (gs, GIMPLE_RETURN);
   gimple_set_op (gs, 0, retval);
@@ -5412,7 +5412,7 @@ gimple_return_set_retval (gimple gs, tree retval)
     case GIMPLE_OMP_CONTINUE
 
 static inline bool
-is_gimple_omp (const_gimple stmt)
+is_gimple_omp (const gimple *stmt)
 {
   switch (gimple_code (stmt))
     {
@@ -5427,7 +5427,7 @@ is_gimple_omp (const_gimple stmt)
 /* Returns TRUE if statement G is a GIMPLE_NOP.  */
 
 static inline bool
-gimple_nop_p (const_gimple g)
+gimple_nop_p (const gimple *g)
 {
   return gimple_code (g) == GIMPLE_NOP;
 }
@@ -5436,7 +5436,7 @@ gimple_nop_p (const_gimple g)
 /* Return true if GS is a GIMPLE_RESX.  */
 
 static inline bool
-is_gimple_resx (const_gimple gs)
+is_gimple_resx (const gimple *gs)
 {
   return gimple_code (gs) == GIMPLE_RESX;
 }
@@ -5444,7 +5444,7 @@ is_gimple_resx (const_gimple gs)
 /* Return the predictor of GIMPLE_PREDICT statement GS.  */
 
 static inline enum br_predictor
-gimple_predict_predictor (gimple gs)
+gimple_predict_predictor (gimple *gs)
 {
   GIMPLE_CHECK (gs, GIMPLE_PREDICT);
   return (enum br_predictor) (gs->subcode & ~GF_PREDICT_TAKEN);
@@ -5454,7 +5454,7 @@ gimple_predict_predictor (gimple gs)
 /* Set the predictor of GIMPLE_PREDICT statement GS to PREDICT.  */
 
 static inline void
-gimple_predict_set_predictor (gimple gs, enum br_predictor predictor)
+gimple_predict_set_predictor (gimple *gs, enum br_predictor predictor)
 {
   GIMPLE_CHECK (gs, GIMPLE_PREDICT);
   gs->subcode = (gs->subcode & GF_PREDICT_TAKEN)
@@ -5465,7 +5465,7 @@ gimple_predict_set_predictor (gimple gs, enum br_predictor predictor)
 /* Return the outcome of GIMPLE_PREDICT statement GS.  */
 
 static inline enum prediction
-gimple_predict_outcome (gimple gs)
+gimple_predict_outcome (gimple *gs)
 {
   GIMPLE_CHECK (gs, GIMPLE_PREDICT);
   return (gs->subcode & GF_PREDICT_TAKEN) ? TAKEN : NOT_TAKEN;
@@ -5475,7 +5475,7 @@ gimple_predict_outcome (gimple gs)
 /* Set the outcome of GIMPLE_PREDICT statement GS to OUTCOME.  */
 
 static inline void
-gimple_predict_set_outcome (gimple gs, enum prediction outcome)
+gimple_predict_set_outcome (gimple *gs, enum prediction outcome)
 {
   GIMPLE_CHECK (gs, GIMPLE_PREDICT);
   if (outcome == TAKEN)
@@ -5489,7 +5489,7 @@ gimple_predict_set_outcome (gimple gs, enum prediction outcome)
    void_type_node if the statement computes nothing.  */
 
 static inline tree
-gimple_expr_type (const_gimple stmt)
+gimple_expr_type (const gimple *stmt)
 {
   enum gimple_code code = gimple_code (stmt);
 
@@ -5563,7 +5563,7 @@ gimple_alloc_kind (enum gimple_code code)
    by annotate_all_with_location.  */
 
 static inline bool
-gimple_do_not_emit_location_p (gimple g)
+gimple_do_not_emit_location_p (gimple *g)
 {
   return gimple_plf (g, GF_PLF_1);
 }
@@ -5572,7 +5572,7 @@ gimple_do_not_emit_location_p (gimple g)
    annotate_one_with_location.  */
 
 static inline void
-gimple_set_do_not_emit_location (gimple g)
+gimple_set_do_not_emit_location (gimple *g)
 {
   /* The PLF flags are initialized to 0 when a new tuple is created,
      so no need to initialize it anywhere.  */
diff --git a/gcc/gimplify-me.c b/gcc/gimplify-me.c
index 05e986a..0357331 100644
--- a/gcc/gimplify-me.c
+++ b/gcc/gimplify-me.c
@@ -156,12 +156,12 @@ force_gimple_operand_gsi (gimple_stmt_iterator *gsi, tree expr,
    GIMPLE statements are inserted before *GSI_P.  */
 
 void
-gimple_regimplify_operands (gimple stmt, gimple_stmt_iterator *gsi_p)
+gimple_regimplify_operands (gimple *stmt, gimple_stmt_iterator *gsi_p)
 {
   size_t i, num_ops;
   tree lhs;
   gimple_seq pre = NULL;
-  gimple post_stmt = NULL;
+  gimple *post_stmt = NULL;
 
   push_gimplify_context (gimple_in_ssa_p (cfun));
 
diff --git a/gcc/gimplify-me.h b/gcc/gimplify-me.h
index 841831d..90d52bc 100644
--- a/gcc/gimplify-me.h
+++ b/gcc/gimplify-me.h
@@ -32,6 +32,6 @@ extern tree force_gimple_operand_gsi_1 (gimple_stmt_iterator *, tree,
 					bool, enum gsi_iterator_update);
 extern tree force_gimple_operand_gsi (gimple_stmt_iterator *, tree, bool, tree,
 				      bool, enum gsi_iterator_update);
-extern void gimple_regimplify_operands (gimple, gimple_stmt_iterator *);
+extern void gimple_regimplify_operands (gimple *, gimple_stmt_iterator *);
 
 #endif /* GCC_GIMPLIFY_ME_H */
